### Enumeration

# Gimp ChannelType

unstable since: 3.0

#### Declaration

    enum Gimp.ChannelType

#### Description [src]

Channels (as in color components).

Available since: 3.0

#### Members

`GIMP_CHANNEL_RED`

  Red.

  - Value: `0`
  - Nickname: `red`
  - Available since: 3.0
`GIMP_CHANNEL_GREEN`

  Green.

  - Value: `1`
  - Nickname: `green`
  - Available since: 3.0
`GIMP_CHANNEL_BLUE`

  Blue.

  - Value: `2`
  - Nickname: `blue`
  - Available since: 3.0
`GIMP_CHANNEL_GRAY`

  Gray.

  - Value: `3`
  - Nickname: `gray`
  - Available since: 3.0
`GIMP_CHANNEL_INDEXED`

  Indexed.

  - Value: `4`
  - Nickname: `indexed`
  - Available since: 3.0
`GIMP_CHANNEL_ALPHA`

  Alpha.

  - Value: `5`
  - Nickname: `alpha`
  - Available since: 3.0